Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 124051

Summary: Memory leak via UML reverse engineer action
Product: uml Reporter: Jaroslav Tulach <jtulach>
Component: GeneralAssignee: Viktor Lapitski <lvv>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 Keywords: PERFORMANCE, TEST
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: perfleak
Issue Type: DEFECT Exception Report:
Bug Depends on:    
Bug Blocks: 121855, 124825    

Description Jaroslav Tulach 2007-12-14 22:29:55 UTC
Looks like some UML action keeps closed java project in memory. Please remove the sourceProject field:

Checking if all projects are really garbage collected Project: private static java.util.ArrayList 
org.netbeans.modules.options.keymap.KeymapModel.al-> java.util.ArrayList@8732d-elementData-> 
[Ljava.lang.Object;@1e123ce-[0]-> org.netbeans.modules.options.keymap.LayersBridge@c06b51-actionToDataObject-> 
java.util.HashMap@ba2129-table-> [Ljava.util.HashMap$Entry;@722b28-[120]-> java.util.HashMap$Entry@d1b9cc-key-> 
org.netbeans.modules.options.keymap.LayersBridge$GlobalAction@b55d36-action-> 
org.netbeans.modules.uml.integration.netbeans.actions.ReverseEngineerAction@df4c8-sourceProject-> 
org.netbeans.modules.java.j2seproject.J2SEProject@1907f79
Comment 1 Jaroslav Tulach 2008-01-04 15:17:41 UTC
Yet another one:

private static javax.swing.Action[] org.netbeans.spi.java.project.support.ui.PackageViewChildren.actions->
[Ljavax.swing.Action;@f2c771-[11]->
org.netbeans.modules.uml.integration.netbeans.actions.ReverseEngineerAction@1167da7-sourceProject->
org.netbeans.modules.java.j2seproject.J2SEProject@1ad37f6

Comment 2 Viktor Lapitski 2008-01-30 21:54:25 UTC
Our bad. Fixed.

Checking in uml/ideintegration/src/org/netbeans/modules/uml/integration/netbeans
/actions/ReverseEngineerAction.java;
/cvs/uml/ideintegration/src/org/netbeans/modules/uml/integration/netbeans/action
s/Attic/ReverseEngineerAction.java,v  <--  ReverseEngineerAction.java
new revision: 1.5.6.4; previous revision: 1.5.6.3
done

and

changeset:   65255:3d036145e5ae
tag:         tip
user:        lvv@netbeans.org
date:        Wed Jan 30 13:46:49 2008 -0800
summary:     Fix for 124051 Memory leak via UML reverse engineer action
Comment 3 Jaroslav Tulach 2008-02-22 16:28:51 UTC
The leak is not present in today's report. Fixed.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo